Bug 183558 - devel/rudiments: Update to version 0.44
devel/rudiments: Update to version 0.44
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 18:40 UTC by tkato432
Modified: 2013-11-02 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.92 KB, patch)
2013-11-01 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-11-01 18:40:00 UTC
- Update to version 0.44
Comment 1 William Grzybowski freebsd_committer 2013-11-02 12:16:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-11-02 12:38:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2013-11-02 12:39:01 UTC
Author: wg
Date: Sat Nov  2 12:38:47 2013
New Revision: 332473
URL: http://svnweb.freebsd.org/changeset/ports/332473

Log:
  devel/rudiments: update to 0.44
  
  - Update to 0.44
  - Add SSL and PCRE options
  - Use options helpers
  - Allow staging
  
  PR:		ports/183558
  Submitted by:	KATO Tsuguru <tkato432 yahoo.com>

Modified:
  head/databases/sqlrelay/Makefile
  head/devel/rudiments/Makefile
  head/devel/rudiments/distinfo
  head/devel/rudiments/files/patch-configure
  head/devel/rudiments/pkg-plist

Modified: head/databases/sqlrelay/Makefile
==============================================================================
--- head/databases/sqlrelay/Makefile	Sat Nov  2 12:37:58 2013	(r332472)
+++ head/databases/sqlrelay/Makefile	Sat Nov  2 12:38:47 2013	(r332473)
@@ -3,6 +3,7 @@
 
 PORTNAME=	${SQLRELAY_PORTNAME}
 PORTVERSION=	${SQLRELAY_PORTVERSION}
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	SF
 

Modified: head/devel/rudiments/Makefile
==============================================================================
--- head/devel/rudiments/Makefile	Sat Nov  2 12:37:58 2013	(r332472)
+++ head/devel/rudiments/Makefile	Sat Nov  2 12:38:47 2013	(r332473)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	rudiments
-PORTVERSION=	0.43
+PORTVERSION=	0.44
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
@@ -11,24 +11,32 @@ COMMENT=	C++ class library for daemons, 
 
 LICENSE=	LGPL20
 
-OPTIONS_DEFINE=	DOCS
+OPTIONS_DEFINE=	DOCS PCRE SSL
+OPTIONS_DEFAULT=SSL
+
+PCRE_LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre
+PCRE_CONFIGURE_ENABLE=	pcre
+
+SSL_USE=	OPENSSL=yes
+SSL_CONFIGURE_ENABLE=	ssl
+SSL_CONFIGURE_ON=	--with-ssl-includes=-I${OPENSSLINC} \
+			--with-ssl-libs=-L${OPENSSLLIB}
 
 USES=		pkgconfig shebangfix
 SHEBANG_FILES=	doc/programming/insert.pl
-USE_OPENSSL=	yes
 USE_AUTOTOOLS=	libtool
-CONFIGURE_ARGS=	--with-ssl-includes=-I${OPENSSLINC} \
-		--with-ssl-libs=-L${OPENSSLLIB} \
-		--disable-pcre
 USE_LDCONFIG=	yes
 
-.include <bsd.port.options.mk>
+PLIST_SUB=	VERSION="${PORTVERSION}"
 
 post-patch:
-	@${REINPLACE_CMD} -e \
-		'/pkgconfig/s|$$(libdir)/|$$(prefix)/libdata/|' ${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -e 's| -release $$(RUDIMENTS_VERSION)||' \
-		-e 's|-rpath $$(libdir)|-rpath ${PREFIX}/lib|' \
-		${WRKSRC}/src/Makefile.in
+	@${FIND} ${WRKSRC} -name "Makefile*" | ${XARGS} ${REINPLACE_CMD} -e \
+		'/pkgconfig/s| $$(libdir)/| $${DESTDIR}$$(prefix)/libdata/| ; \
+		 /INSTALL/s| $$(bindir)| $${DESTDIR}$$(bindir)| ; \
+		 /INSTALL/s| $$(docdir)| $${DESTDIR}$$(docdir)| ; \
+		 /INSTALL/s| $$(includedir)| $${DESTDIR}$$(includedir)| ; \
+		 /INSTALL/s| $$(mandir)| $${DESTDIR}$$(mandir)| ; \
+		 /INSTALL/s| $$(libdir)| $${DESTDIR}$$(libdir)| ; \
+		 /finish/s| $$(libdir)| $${DESTDIR}$$(libdir)|'
 
 .include <bsd.port.mk>

Modified: head/devel/rudiments/distinfo
==============================================================================
--- head/devel/rudiments/distinfo	Sat Nov  2 12:37:58 2013	(r332472)
+++ head/devel/rudiments/distinfo	Sat Nov  2 12:38:47 2013	(r332473)
@@ -1,2 +1,2 @@
-SHA256 (rudiments-0.43.tar.gz) = b4bfaf0af183ee5035e89898d2d5a23d20cd6df93514833ceec3abbf1738aaeb
-SIZE (rudiments-0.43.tar.gz) = 1665491
+SHA256 (rudiments-0.44.tar.gz) = be262df2ac624306351ae58017069b452b6311afd1fc0b86f662153c165880a9
+SIZE (rudiments-0.44.tar.gz) = 1664741

Modified: head/devel/rudiments/files/patch-configure
==============================================================================
--- head/devel/rudiments/files/patch-configure	Sat Nov  2 12:37:58 2013	(r332472)
+++ head/devel/rudiments/files/patch-configure	Sat Nov  2 12:38:47 2013	(r332473)
@@ -1,7 +1,7 @@
 --- configure.orig	2012-02-17 13:38:13.000000000 +0900
 +++ configure	2012-04-13 00:56:01.000000000 +0900
-@@ -14781,6 +14781,9 @@
- 	*haiku* )
+@@ -15691,6 +15691,9 @@
+ 	*minix* )
  		WERROR=""
  		;;
 +	freebsd* )
@@ -10,7 +10,7 @@
  	*)
  		;;
  esac
-@@ -16334,8 +16337,8 @@
+@@ -17476,8 +17479,8 @@
  
  
  	HAVE_PTHREAD=""
@@ -21,7 +21,7 @@
  
  	if ( test "$cross_compiling" = "yes" )
  	then
-@@ -16354,7 +16357,7 @@
+@@ -17496,7 +17499,7 @@
  
  	else
  
@@ -30,7 +30,7 @@
  		do
  			if ( test -n "$i" )
  			then
-@@ -16388,9 +16391,6 @@
+@@ -17530,9 +17533,6 @@
  STATIC=""
  HEADERSANDLIBSPATH=""
  
@@ -40,7 +40,7 @@
  eval "PTHREADSTATIC=\"\""
  if ( test -n "" )
  then
-@@ -16605,9 +16605,6 @@
+@@ -17747,9 +17747,6 @@
  LIBSTRING=`echo $LIBSTRING | sed -e "s|-L/usr/lib$||g" -e "s|-L/lib$||g" -e "s|-L/usr/lib ||g" -e "s|-L/lib ||g"`
  LIBSTRING=`echo $LIBSTRING | sed -e "s|-L/usr/lib64$||g" -e "s|-L/lib64$||g" -e "s|-L/usr/lib64 ||g" -e "s|-L/lib64 ||g"`
  
@@ -50,3 +50,62 @@
  eval "PTHREADSTATIC=\"$STATIC\""
  if ( test -n "" )
  then
+@@ -29618,47 +29615,47 @@
+ # prepend DESTDIR where appropriate
+ if ( test "`echo $ac_default_prefix | cut -c1`" = "/" )
+ then
+-	ac_default_prefix='${DESTDIR}'"$ac_default_prefix"
++	ac_default_prefix="$ac_default_prefix"
+ fi
+ if ( test "`echo $prefix | cut -c1`" = "/" )
+ then
+-	prefix='${DESTDIR}'"$prefix"
++	prefix="$prefix"
+ fi
+ if ( test "`echo $exec_prefix | cut -c1`" = "/" )
+ then
+-	exec_prefix='${DESTDIR}'"$exec_prefix"
++	exec_prefix="$exec_prefix"
+ fi
+ if ( test "`echo $includedir | cut -c1`" = "/" )
+ then
+-	includedir='${DESTDIR}'"$includedir"
++	includedir="$includedir"
+ fi
+ if ( test "`echo $libdir | cut -c1`" = "/" )
+ then
+-	libdir='${DESTDIR}'"$libdir"
++	libdir="$libdir"
+ fi
+ if ( test "`echo $libexecdir | cut -c1`" = "/" )
+ then
+-	libexecdir='${DESTDIR}'"$libexecdir"
++	libexecdir="$libexecdir"
+ fi
+ if ( test "`echo $bindir | cut -c1`" = "/" )
+ then
+-	bindir='${DESTDIR}'"$bindir"
++	bindir="$bindir"
+ fi
+ if ( test "`echo $localstatedir | cut -c1`" = "/" )
+ then
+-	localstatedir='${DESTDIR}'"$localstatedir"
++	localstatedir="$localstatedir"
+ fi
+ if ( test "`echo $sysconfdir | cut -c1`" = "/" )
+ then
+-	sysconfdir='${DESTDIR}'"$sysconfdir"
++	sysconfdir="$sysconfdir"
+ fi
+ if ( test "`echo $mandir | cut -c1`" = "/" )
+ then
+-	mandir='${DESTDIR}'"$mandir"
++	mandir="$mandir"
+ fi
+ if ( test "`echo $datadir | cut -c1`" = "/" )
+ then
+-	datadir='${DESTDIR}'"$datadir"
++	datadir="$datadir"
+ fi
+ 
+ 

Modified: head/devel/rudiments/pkg-plist
==============================================================================
--- head/devel/rudiments/pkg-plist	Sat Nov  2 12:37:58 2013	(r332472)
+++ head/devel/rudiments/pkg-plist	Sat Nov  2 12:38:47 2013	(r332473)
@@ -3,7 +3,6 @@ include/rudiments/character.h
 include/rudiments/charstring.h
 include/rudiments/chat.h
 include/rudiments/client.h
-include/rudiments/clientserverfactory.h
 include/rudiments/codetree.h
 include/rudiments/commandline.h
 include/rudiments/crypt.h
@@ -41,7 +40,6 @@ include/rudiments/private/chat.h
 include/rudiments/private/chatincludes.h
 include/rudiments/private/client.h
 include/rudiments/private/clientincludes.h
-include/rudiments/private/clientserverfactoryincludes.h
 include/rudiments/private/codetree.h
 include/rudiments/private/codetreeincludes.h
 include/rudiments/private/commandline.h
@@ -56,7 +54,6 @@ include/rudiments/private/dictionary.h
 include/rudiments/private/dictionaryincludes.h
 include/rudiments/private/dictionaryinlines.h
 include/rudiments/private/dictionarynode.h
-include/rudiments/private/dictionarynodeinlines.h
 include/rudiments/private/directory.h
 include/rudiments/private/directoryincludes.h
 include/rudiments/private/dll.h
@@ -91,8 +88,6 @@ include/rudiments/private/linkedlist.h
 include/rudiments/private/linkedlistincludes.h
 include/rudiments/private/linkedlistinlines.h
 include/rudiments/private/linkedlistnode.h
-include/rudiments/private/linkedlistnodeinlines.h
-include/rudiments/private/linkedlistutil.h
 include/rudiments/private/linkedlistutilinlines.h
 include/rudiments/private/listener.h
 include/rudiments/private/listenerincludes.h
@@ -202,10 +197,11 @@ include/rudiments/variablebuffer.h
 include/rudiments/xmldom.h
 include/rudiments/xmldomnode.h
 include/rudiments/xmlsax.h
+lib/librudiments-%%VERSION%%.so
+lib/librudiments-%%VERSION%%.so.1
 lib/librudiments.a
 lib/librudiments.la
 lib/librudiments.so
-lib/librudiments.so.1
 libdata/pkgconfig/rudiments.pc
 man/man1/rudiments-config.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/classes/html/annotated.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"